package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.domain.Course;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CartItemMapper;
import com.ruoyi.system.domain.CartItem;
import com.ruoyi.system.service.ICartItemService;

/**
 * 购物车商品Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-11-09
 */
@Service
public class CartItemServiceImpl implements ICartItemService 
{
    @Autowired
    private CartItemMapper cartItemMapper;

    /**
     * 查询购物车商品
     * 
     * @param id 购物车商品主键
     * @return 购物车商品
     */
    @Override
    public CartItem selectCartItemById(Long id)
    {
        return cartItemMapper.selectCartItemById(id);
    }

    @Override
    public CartItem selectCartItem(Integer courseId, Long userId) {
        return cartItemMapper.selectCartItem(courseId, userId);
    }

    /**
     * 查询购物车商品列表
     * 
     * @param cartItem 购物车商品
     * @return 购物车商品
     */
    @Override
    public List<CartItem> selectCartItemList(CartItem cartItem)
    {
        return cartItemMapper.selectCartItemList(cartItem);
    }

    /**
     * 新增购物车商品
     * 
     * @param cartItem 购物车商品
     * @return 结果
     */
    @Override
    public int insertCartItem(CartItem cartItem)
    {
        return cartItemMapper.insertCartItem(cartItem);
    }

    /**
     * 修改购物车商品
     * 
     * @param cartItem 购物车商品
     * @return 结果
     */
    @Override
    public int updateCartItem(CartItem cartItem)
    {
        return cartItemMapper.updateCartItem(cartItem);
    }

    /**
     * 批量删除购物车商品
     * 
     * @param ids 需要删除的购物车商品主键
     * @return 结果
     */
    @Override
    public int deleteCartItemByIds(Long[] ids)
    {
        return cartItemMapper.deleteCartItemByIds(ids);
    }

    /**
     * 删除购物车商品信息
     * 
     * @param id 购物车商品主键
     * @return 结果
     */
    @Override
    public int deleteCartItemById(Long id)
    {
        return cartItemMapper.deleteCartItemById(id);
    }
}
